System.Web 2.0.0.0 System.Web.UI.WebControls.Style

The class is used to represent the style settings for a panel control. It encapsulates the properties that control the appearance of a panel and can be applied to multiple panel controls to provide a common appearance.

You can specify an image to display in the background of the panel by setting the property. The horizontal alignment of the contents of the panel is indicated by the property. The direction of controls that contain text within the panel control can be specified by setting the property.

Represents the style for a control.

- Constructor
  2.0.0.0
  To be added.

  Initializes a new instance of the class.

  A object that represents the state bag in which to store style information.
- Property
  2.0.0.0
  System.String To be added.

  The property specifies the URL of the background image for the panel control. For this property to work, an image file must exist at the specified location. If the specified image file is not accessible, then the panel control is displayed without a background image.

  Gets or sets the URL of the background image for the panel control.

- Method
  2.0.0.0
  System.Void ``

  You can use the method to duplicate the style settings of the specified object for the current instance of the class.

  The method copies non-blank elements from the specified object, . Any element that is defined in replaces any element that is defined in the object. To replace only those style settings left blank in the object, use the method.

  Duplicates the style properties of the specified object for the current instance of the class.

  A object that represents the style settings to copy.
- Property
  2.0.0.0
  System.Web.UI.WebControls.ContentDirection To be added.

  The property specifies the direction in which to display controls that include text in a panel control.

  The property is set using one of the values. The following table lists the possible values.

  Value

  Description

  NotSet

  The content direction is not set.

  LeftToRight

  Child controls that include text are displayed from left to right.

  RightToLeft

  Child controls that include text are displayed from right to left.

  If you specify , child controls that include text display from left to right. If you specify , child controls that include text display right to left. Use to display text for languages that are written from right to left, such as Arabic or Hebrew.

  Gets or sets the direction in which to display controls that include text in a panel control.

- Property
  2.0.0.0
  System.Web.UI.WebControls.HorizontalAlign To be added.

  The property specifies the horizontal alignment of the contents within a panel control.

  The property is set using one of the enumeration values. The following table lists the possible values.

  Value

  Description

  NotSet

  The horizontal alignment is not set.

  Left

  The contents of the panel are left-aligned.

  Center

  The contents of the panel are centered.

  Right

  The contents of the panel are right-aligned.

  . If the property is set to but the property is set in the control that contains the panel control, the setting is inherited from the containing control.

  Gets or sets the horizontal alignment of the contents within a panel control.

- Method
  2.0.0.0
  System.Void ``

  You can use the method to combine the style settings of the specified object with the current instance of the class.

  The method copies non-blank elements from the specified object, , but does not replace any existing style settings in the object. To replace the style settings in the object with the style settings in , use the method.

  Combines the style settings of the specified object with the current instance of the class.

  A object that represents the style settings to combine with the object.
- Method
  2.0.0.0
  System.Void

  You can use this method to remove any defined style settings from the class.

  Removes any defined style settings from the class.

- Property
  2.0.0.0
  System.Web.UI.WebControls.ScrollBars To be added.

  The property specifies the visibility and position of scroll bars in a panel control.

  The property is set using one of the enumeration values. The following table lists the possible values.

  Value

  Description

  None

  No scroll bars are shown.

  Horizontal

  Only a horizontal scroll bar is shown.

  Vertical

  Only a vertical scroll bar is shown.

  Both

  Both horizontal and vertical scroll bars are shown.

  Auto

  If necessary, horizontal, vertical, or both scroll bars are shown. Otherwise, no scroll bars are shown.

  Gets or sets the visibility and position of scroll bars in a panel control.

- Property
  2.0.0.0
  System.Boolean To be added.

  The property indicates whether the content wraps within the panel. When the property is set to false and the property is set to , if the content of the panel is longer than what will fit in the panel, the content of the panel will appear on one line with a horizontal scroll bar. When the property is set to false and the property is set to , the panel will extend and if necessary the Web page will have a horizontal scroll bar.

  Gets or sets a value indicating whether the content wraps within the panel.